1. Call Control
Dialgood
  • DG
    • Call Control
      • Mute an active call
        POST
      • Unmute an active call
        POST
      • Clear Outbound Call Queue
        DELETE
      • Message Announcement
        POST
    • Live Status
      • Get transcript and transcript entries for a campaign
      • Get normalized call status and CDR details for a campaign
    • Voices
      • List available voices with optional filters and pagination
    • Calls
      • Place Outbound Call
      • Get Live Call Transcript
      • Get Call Transcript
      • Get Call Records
      • Get Call Recording
    • Agents
      • Get Agents
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
    • outbound body
    • ErrorResponse
    • ProxyControlRequestBody
    • ProxyControlResponse
    • LiveTranscriptEntry
    • LiveTranscriptResponse
    • CdrStatusResponse
    • VoiceLabels
    • Voice
    • VoicesPaginatedResponse
  1. Call Control

Mute an active call

POST
/external/v1/mute/{callId}
Proxies a mute request to the Message API endpoint POST /calls/{callId}/mute.
Auth middleware: publicApiRouteHandler.

Request

Authorization
API Key
Add parameter in header
api_token
Example:
api_token: ********************
or
API Key
Add parameter in query
api_token
Example:
api_token: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200
application/json
Mute request accepted by upstream Message API
Body

🟠400BadRequest
🟠401Unauthorized
🔴500InternalServerError
🔴502UpstreamProxyError
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST '/external/v1/mute/conv_01J8MJS4V4' \
--header 'api_token: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{}'
Response Response Example
200 - generic
{
    "status": "success",
    "action": "mute",
    "callId": "c_01J3Z6A4YJ4V"
}
Modified at 2026-03-06 05:03:20
Next
Unmute an active call
Built with